# Table of contents

-   [Overview](#overview)
-   [Getting Started](#getting-started)
    -   [Install](#install)
    -   [Configure](#configure)
        -   [Options](#options)
    -   [Launch](#launch)

# Overview

Markdown documentation generator/enhancer for javascript, typescript and react typescript projects. Can be used to generate API sections in your README.md files.

# Getting Started

## Install

```sh
yarn add @structured-types/api-readme --dev
```

## Configure

In your `README.md` file, you can insert a `<api-readme />` tag to generate the API section:

```md
<api-readme files="./src/index.ts"/>
```

### Options

-   `files`: a comma-separated list of the files to include in the documentation
-   `extract`: a comma-separated list of API names to extract, by default all exports

## Launch

You can launch directly from the command-line or integrate in `package.json` by add a script to launch the command line documentation tool.

```json
...
  "scripts": {
    "docs": "api-readme",
    ...
  },
...
```
